<?php

namespace serviciosms;

require_once __DIR__ . '/../conexion_bbdd/vendor/autoload.php';
require_once __DIR__ . '/../conexion_bbdd/Config/Database.php';
require_once __DIR__ . '/../Logger.php';

use Utils\Database;
use Utils\Logger;

try {
    $pdo = Database::conectar();


    $consultadesms = "
    SELECT nombre_cliente, fecha_vencimiento, n_celular, monto
	FROM public.sms_detail_envio LIMIT 4" ;

    $consultadesmsejecutar = $pdo->query($consultadesms)->fetchAll();

    
    echo json_encode(['success' => true, 'data' => $consultadesmsejecutar]);
} catch (\PDOException $e) {
    $mensajeError = "Error al conectar con la base de datos: " . $e->getMessage();
    Logger::logError('ERROR', $mensajeError, __FILE__, __LINE__);
    echo json_encode(['success' => false, 'message' => 'Error ' . $mensajeError]);
} catch (\Exception $e) {
    $mensajeError = "Error no capturado: " . $e->getMessage();
    Logger::logError('ERROR', $mensajeError, __FILE__, __LINE__);
    echo json_encode(['success' => false, 'message' => 'Error ' . $mensajeError]);
}
